/*
	File:		NPArticleUtilities.h

	Copyright (C) 1992-1995 Apple Computer, Inc.  All rights reserved.

	Change History (most recent first):

		<8+>	  8/8/93	KAZU		added header

*/
/*===============================================================================================================

		ASUpdateArticleUtilities.h
	
		  Copyright Apple Computer, Inc. 1992-1995
        All rights reserved

===============================================================================================================*/

#ifndef __NPARTICLEUTILITIES__
#define __NPARTICLEUTILITIES__

//_______________________________________________________________________________________________________________
//____________________________________________________ INCLUDES _________________________________________________
//_______________________________________________________________________________________________________________

#if defined( MACINTOSH)

#ifndef __NPTYPES__
#include "NPTypes.h"
#endif												

#ifndef __NPCONSTANTS__
#include "NPConstants.h"
#endif												

#ifndef __NPDATACONTAINERUTILITIES__
#include "NPDataContainerUtilities.h"
#endif												

#endif //MACINTOSH

#if defined( WINDOWS )

#ifndef __NPTYPES__
#include "NPTypes.h"
#endif												

#ifndef __NPCONSTANTS__
#include "NPConst.h"
#endif												

#ifndef __NPDATACONTAINERUTILITIES__
#include "NPDCUt.h"
#endif												

#endif //WINDOWS
//_______________________________________________________________________________________________________________
//_____________________________________________________ STRUCTS _________________________________________________
//_______________________________________________________________________________________________________________

struct ASUArticleHeader {
	ASUDataSize		articleHeaderSize;
	ASUDataSize		articleDataSize;
	ASUArticleType	articleType;
	ASUArticleDate	articleDateTime;
	long			userBytes;
	char*			articleTitle;
	char*			articleSource;
};
typedef struct ASUArticleHeader ASUArticleHeader, *ASUArticleHeaderPtr;

//_______________________________________________________________________________________________________________
//_______________________________________________ FUNCTION PROTOTYPES ___________________________________________
//_______________________________________________________________________________________________________________
#ifdef __cplusplus
extern "C" {
#endif

OSErr pascal	ASUAddArticle( short refnum, ASUArticleHeader* info, ASUDataSize count, Ptr buffer, ASUDCPtr *dc );
OSErr pascal	ASUDeleteArticle( short refnum, ASUDCPtr dc );

OSErr pascal	ASUReadArticleHeader( short refnum, ASUDCPtr dc, ASUArticleHeader* info );
OSErr pascal	ASUWriteArticleHeader( short refnum, ASUDCPtr dc, ASUArticleHeader* info );

OSErr pascal	ASUReadArticleData( short refnum, ASUDCPtr dc, Ptr buffer );
OSErr pascal	ASUReadPartialArticleData( short refnum, ASUDCPtr dc, ASUOffset start, ASUDataSize* count, Ptr buffer );
OSErr pascal	ASUWriteArticleData( short refnum, ASUDCPtr dc, ASUOffset start, ASUDataSize count, Ptr buffer );

//_______________________________________________________________________________________________________________

OSErr pascal	ASUCountArticles( short refnum, ASUCount* count );
OSErr pascal	ASUFindArticle( short refnum, ASUDCPtr start, ASUDCPtr *dc );

OSErr pascal	ASUGetArticleSize( short refnum, ASUDCPtr dc, ASUDataSize* size );
OSErr pascal	ASUGetArticleType( short refnum, ASUDCPtr dc, ASUArticleType* type );
OSErr pascal	ASUGetArticleUserBytes( short refnum, ASUDCPtr dc, long* userBytes );

//_______________________________________________________________________________________________________________
// Misc. calls

OSErr pascal	ASUDisposeArticleHeader( ASUArticleHeader* info );

//_______________________________________________________________________________________________________________

#ifdef __cplusplus
}
#endif

#endif															// __NPARTICLEUTILITIES__

//
// $Log: /bogart/asu/shared/NPARTUT.H $
// 
// 3     5/26/94 11:24a John_fearnside
//
