/*
	File:		NPConstants.h

	Contains:	Constants related to the newspaper.

	Copyright (C) 1992-1995 Apple Computer, Inc.  All rights reserved.

	Change History (most recent first):

		<10+>	  8/8/93	KAZU		added header

*/
/*===============================================================================================================

		ASUpdateConstants.h
	
		  Copyright Apple Computer, Inc. 1992-1995
        All rights reserved

===============================================================================================================*/

#ifndef __NPCONSTANTS__
#define __NPCONSTANTS__

//_______________________________________________________________________________________________________________
//____________________________________________________ INCLUDES _________________________________________________
//_______________________________________________________________________________________________________________

#ifndef __NPTYPES__
#include "NPTypes.h"
#endif															// __NPTYPES__

//_______________________________________________________________________________________________________________
//____________________________________________________ CONSTANTS ________________________________________________
//_______________________________________________________________________________________________________________
// General constants

const OSType		kAppleSearchUpdateFileType			= STR2CHAR4("BGNP");		// file type for AppleSearch compatible update
const OSType		kAppleSearchPartialUpdateFileType = STR2CHAR4("BGPP");		// file type for update that are being built

//_______________________________________________________________________________________________________________
// Constants for newspaper types

const ASUType kAppleSearchTextUpdate 				= STR2CHAR4("NP01");
const ASUType kAppleSearchStyledUpdate	 			= STR2CHAR4("NP02");
const ASUType kAppleSearchMultimediaUpdate	 	= STR2CHAR4("NP03");

//_______________________________________________________________________________________________________________
// Constants for article types

const ASUArticleType kTextArticleItem				= STR2CHAR4("TEXT");
const ASUArticleType kHighlightedTextArticleItem = STR2CHAR4("HTXT");
const ASUArticleType kStyledTextArticleItem		= STR2CHAR4("STXT");
const ASUArticleType kFixedWidthTextArticleItem	= STR2CHAR4("FWTX");
const ASUArticleType kFixedHeightTextArticleItem= STR2CHAR4("FHTX");
const ASUArticleType kFixedSizeTextArticleItem	= STR2CHAR4("FSTX");
const ASUArticleType kPICTArticleItem				= STR2CHAR4("PICT");
const ASUArticleType kTIFFArticleItem				= STR2CHAR4("TIFF");
const ASUArticleType kAcrobatArticleItem			= STR2CHAR4("ACBT");
const ASUArticleType kAnnotatedArticleItem		= STR2CHAR4("ANTD");
const ASUArticleType kQuickTimeArticleItem		= STR2CHAR4("QTIM");
const ASUArticleType kSoundArticleItem				= STR2CHAR4("SND ");
const ASUArticleType kCompoundArticleItem			= STR2CHAR4("CMPD");

//______________________________________________________7_________________________________________________________
// Constants for data containers

const ASUDCType		ASUDCTypeArticle				= STR2CHAR4("ARTL");
const ASUDCType		ASUDCTypeFileHeader			= STR2CHAR4("FHDR");
const ASUDCType		ASUDCTypeArticleListHeader	= STR2CHAR4("ALHD");
const ASUDCType		ASUDCTypeFree					= STR2CHAR4("FREE");
const ASUDCType		ASUDCTypeCompressed			= STR2CHAR4("COMP");
const ASUDCType		ASUDCTypeWildcard				= STR2CHAR4("****");


//_______________________________________________________________________________________________________________
// Misc.

const long			kVersion1						= 1;
const ASUDataSize	kVersion1FileHeaderSize		= 16;
const ASUDataSize	kVersion1DCHeaderSize		= 16;


//_______________________________________________________________________________________________________________
// Error codes

const OSErr	kIncompleteUpdateFileErr	= 2201;
const OSErr	kArticleIndexRangeErr		= 2301;

const OSErr	kDataTooLargeErr				= 2401;

const OSErr	kDataContainerNotFoundErr	= 2501;
const OSErr	kNPOutOfMemoryErr				= 2001;
const OSErr	kNilPtrErr						= 2002;

//_______________________________________________________________________________________________________________


#endif															// __NPCONSTANTS__

//
// $Log: /bogart/asu/shared/NPCONST.H $
// 
// 4     10/27/94 6:56p Rich_johnson
//
