/*
	File:		NPDataContainerUtilities.h

	Copyright (C) 1992-1995 Apple Computer, Inc.  All rights reserved.

	Change History (most recent first):

		<9+>	  8/8/93	KAZU		added header

*/
/*===============================================================================================================

		ASUpdateDCUtilities.h
	
		  Copyright Apple Computer, Inc. 1992-1995
        All rights reserved

===============================================================================================================*/

#ifndef __NPDATACONTAINERUTILITIES__
#define __NPDATACONTAINERUTILITIES__

//_______________________________________________________________________________________________________________
//____________________________________________________ INCLUDES _________________________________________________
//_______________________________________________________________________________________________________________

#if defined( MACINTOSH )

#include <Files.h>

#ifndef __NPTYPES__
#include "NPTypes.h"
#endif												

#ifndef __NPCONSTANTS__
#include "NPConstants.h"
#endif												

#endif

#if defined( WINDOWS )

#ifndef __NPTYPES__
#include "NPTypes.h"
#endif												

#ifndef __NPCONSTANTS__
#include "NPConst.h"
#endif												

#endif //WINDOWS


//_______________________________________________________________________________________________________________
//_____________________________________________________ STRUCTS _________________________________________________
//_______________________________________________________________________________________________________________

struct ASUDCHeader {
	ASUDataSize		dataContainerSize;
	ASUDCType		dataContainerType;
	long			dataContainerID;
	long			userRefCon;
};
typedef struct ASUDCHeader ASUDCHeader, *ASUDCHeaderPtr;

//_______________________________________________________________________________________________________________
//_______________________________________________ FUNCTION PROTOTYPES ___________________________________________
//_______________________________________________________________________________________________________________
#ifdef __cplusplus
extern "C" {
#endif

// read/write routines

OSErr pascal ASUAddDataContainer( short refnum, ASUDCHeaderPtr info, ASUCount count, Ptr data, ASUDCPtr *dc );
OSErr pascal ASUDeleteDataContainer( short refnum, ASUDCPtr dc );

OSErr pascal	ASUReadDataContainerHeader( short refnum, ASUDCPtr dc, ASUDCHeaderPtr info );
OSErr pascal	ASUWriteDataContainerHeader( short refnum, ASUDCPtr dc, ASUDCHeaderPtr info );

OSErr pascal	ASUReadDataContainerData( short refnum, ASUDCPtr dc, ASUOffset start, Ptr data, ASUDataSize* size );
OSErr pascal	ASUWriteDataContainerData( short refnum, ASUDCPtr dc, ASUOffset start, Ptr data, ASUDataSize size );

//_______________________________________________________________________________________________________________
// searching routines

OSErr pascal	ASUCountDataContainers( short refnum, ASUDCType type, ASUCount* count );
OSErr pascal	ASUFindDataContainer( short refnum, ASUDCType type, ASUDCPtr start, ASUDCPtr *dc );
OSErr pascal	ASUFindDataContainerByID( short refnum, ASUDCType type, long id, ASUDCPtr start, ASUDCPtr *dc );

OSErr pascal	ASUGetDataContainerSize( short refnum, ASUDCPtr dc, ASUDataSize* size );
OSErr pascal	ASUGetDataContainerType( short refnum, ASUDCPtr dc, ASUDCType* type );
OSErr pascal	ASUGetDataContainerID( short refnum, ASUDCPtr dc, long* id );
OSErr pascal	ASUGetDataContainerUserRefCon( short refnum, ASUDCPtr dc, long* userRefCon );

//_______________________________________________________________________________________________________________
// convenience routines

OSErr pascal	ASUSerializeDataContainerIDs( short refnum, ASUDCType type, ASUCount *count );
OSErr pascal	ASULinkDataContainers( short refnum, ASUDCType type, ASUDCPtr head );

//_______________________________________________________________________________________________________________

#ifdef __cplusplus
}
#endif

#endif															// __NPNEWSPAPERUTILITIES__

//
// $Log: /bogart/asu/shared/NPDCUT.H $
// 
// 3     5/26/94 11:24a John_fearnside
//
