/*
	File:		NPNewspaperUtilities.h

	Copyright (C) 1992-1995 Apple Computer, Inc.  All rights reserved.

	Change History (most recent first):

		<9+>	  8/8/93	KAZU		added header
*/
/*===============================================================================================================

		ASUpdateFileUtilities.h
	
		  Copyright Apple Computer, Inc. 1992-1995
        All rights reserved

===============================================================================================================*/

#ifndef __NPNEWSPAPERUTILITIES__
#define __NPNEWSPAPERUTILITIES__

//_______________________________________________________________________________________________________________
//____________________________________________________ INCLUDES _________________________________________________
//_______________________________________________________________________________________________________________

#if defined(MACINTOSH)

#include <Files.h>

#ifndef __NPTYPES__
#include "NPTypes.h"
#endif												

#ifndef __NPCONSTANTS__
#include "NPConstants.h"
#endif												

#endif //MACINTOSH

#if defined(WINDOWS)

#if !defined __WINDOWS_H
#include "windows.h" // need LPCSTR def
#endif

#ifndef __NPTYPES__
#include "NPTypes.h"
#endif												

#ifndef __NPCONSTANTS__
#include "NPConst.h"
#endif												

#endif // WINDOWS

//_______________________________________________________________________________________________________________
//_____________________________________________________ STRUCTS _________________________________________________
//_______________________________________________________________________________________________________________

struct ASUUpdateInfo {
	ASUType		updateType;
	long		updateVersion;
};

//typedef struct ASUUpdateInfo ASUUpdateInfo, *ASUUpdateInfoPtr;

//_______________________________________________________________________________________________________________
//_______________________________________________ FUNCTION PROTOTYPES ___________________________________________
//_______________________________________________________________________________________________________________
#ifdef __cplusplus
extern "C" {
#endif

// Update file management

#if defined(MACINTOSH)

OSErr	ASUCreateUpdateFile( FSSpec* file, OSType creator, ASUType type, long version );
OSErr	ASUOpenUpdateFile( FSSpec* file, short* refnum );

#endif //MACINTOSH

#if defined(WINDOWS)

OSErr pascal	ASUCreateUpdateFile( LPCSTR filePath, ASUType type, long version );
OSErr pascal	ASUOpenUpdateFile( LPCSTR filePath, HFILE* refnum );

#endif //WINDOWS

OSErr pascal	ASUCloseUpdateFile( short refnum );

OSErr pascal	ASUCompactUpdateFile( short refnum );

//_______________________________________________________________________________________________________________
// Accessing newspaper info

OSErr pascal	ASUReadUpdateInfo( short refnum, ASUUpdateInfo* header );
OSErr pascal	ASUWriteUpdateInfo( short refnum, ASUUpdateInfo* header );

//_______________________________________________________________________________________________________________

#ifdef __cplusplus
}
#endif

#endif															// __NPNEWSPAPERUTILITIES__

//
// $Log: /bogart/asu/shared/NPNEWSUT.H $
// 
// 3     5/26/94 11:24a John_fearnside
//
