/*
	File:		NPTypes.h

	Copyright (C) 1992-1995 Apple Computer, Inc.  All rights reserved.

	Change History (most recent first):

		<5+>	  8/8/93	KAZU		added header
*/
/*===============================================================================================================

		ASUpdateTypes.h
	
        Copyright Apple Computer, Inc. 1992-1993
        All rights reserved

===============================================================================================================*/

#ifndef __NPTYPES__
#define __NPTYPES__

//_______________________________________________________________________________________________________________
//____________________________________________________ INCLUDES _________________________________________________
//_______________________________________________________________________________________________________________

#if defined WINDOWS

#ifndef __TYPES__
#include "wtypes.h"
#endif

#endif

#if defined MACINTOSH

#ifndef __TYPES__
#include <Types.h>
#endif

#endif							

//_______________________________________________________________________________________________________________
//______________________________________________________ TYPES __________________________________________________
//_______________________________________________________________________________________________________________
// Newspaper basic types

typedef unsigned long 	ASUOffset;							// relative offset from the file ptr
typedef unsigned long 	ASUDataSize;						// data size
typedef unsigned long 	ASUCount;							// a number of things
typedef	ResType			ASUType;							// newspaper type is a packed array of four chars
typedef	ResType			ASUArticleType;						// article type is also a packed array
typedef	ResType			ASUUpdateType;						// 
typedef ResType			ASUDCType;							// 
typedef ASUOffset		ASUDCPtr;							// ptr to data container

//_______________________________________________________________________________________________________________
//_____________________________________________________ STRUCTS _________________________________________________
//_______________________________________________________________________________________________________________
// Sub-article for compound articles

struct ASUSubArticle {
	ASUDataSize		subArticleDataSize;
	ASUArticleType	subArticleType;
	Ptr				subArticleData;						// ptr to the actual data
};
typedef struct ASUSubArticle ASUSubArticle, *ASUSubArticlePtr;

//_______________________________________________________________________________________________________________
// Compound article

struct ASUCompoundArticle {
	unsigned long		numberOfSubArticles;
	ASUSubArticlePtr	subArticles;						// ptr to a list of sub-articles
};
typedef struct ASUCompoundArticle ASUCompoundArticle, *ASUCompoundArticlePtr;

//_______________________________________________________________________________________________________________
// Date/time data structure used for articles

struct ASUArticleDate {
	short			year;
	short			month;
	short			day;
	short			hour;
	short			minute;
	short			second;
};
typedef struct ASUArticleDate ASUArticleDate, *ASUArticleDatePtr;

//_______________________________________________________________________________________________________________

//	Moved from private headers because it's used by WriteReporter now too.

struct ASUFileHeader {
	long		fileFormatVersion;
	ASUType		updateType;
	long		updateVersion;
	ASUCount	numOfDataContainers;		// number of data containers in this file; this includes DCs of type 'FREE'
};
typedef struct ASUFileHeader ASUFileHeader, *ASUFileHeaderPtr;


#endif															// __NPTYPES__

//
// $Log: /bogart/asu/shared/NPTYPES.H $
// 
// 4     8/08/94 12:06p Rick_gordon
//
