/*====================================================================================================
	File: WERRORS.H

	Copyright (C) 1994-1995 Apple Computer, Inc.  All rights reserved.
====================================================================================================*/

#if !defined __ERRORS__
#define __ERRORS__

#if defined __cplusplus
extern "C" {
#endif

// NOTE: these are not necessarily the same constants as Mac error codes

// OSErr values and their meanings

#define 	OSErrBase 		-20000			// This base is used to prevent error
													// number conflicts with errors returned
													// by the apple talk stack in use on pc
#define 	eofErr 			(OSErrBase-1)	// seek past the end of file attempted
#define 	ioErr 			(OSErrBase-2)	// unable to close a file
#define 	dskFullErr 		(OSErrBase-3)	// insufficient disk space on vol
#define 	dskFulErr 		(OSErrBase-3)	// insufficient disk space on vol
#define 	paramErr 		(OSErrBase-4)	// parameter error to func
#define 	kFileCreateErr (OSErrBase-5)	// unable to create a file
#define 	kFileOpenErr 	(OSErrBase-6)	// unable to open a file
#define 	mFulErr 			(OSErrBase-41)	// no memory (on open) or file won't load
#define 	fnfErr 			(OSErrBase-43)	// unable to find a file
#define 	fLckdErr 		(OSErrBase-45)	// file locked
#define 	fBsyErr 			(OSErrBase-47)	// file busy error
#define 	dupFNErr			(OSErrBase-48)	// duplicate file

#define	internalErr		(OSErrBase-1000)	// used for many internal errors


	// from wmemory.h
#define memFullErr (-108)
#define nilHandleErr (-109)
#define memWZErr (-111)
#define memSCErr (-116)

// PPC Toolbox error codes - these ARE the same as the Mac's values

#define	userCanceledErr		(-128)
#define	notInitErr			(-900)
#define	nameTypeErr			(-902)
#define	noPortErr			(-903)
#define noGlobalsErr		(-904)
#define	localOnlyErr		(-905)
#define destPortErr			(-906)
#define sessTableErr		(-907)
#define noSessionErr		(-908)
#define badReqErr			(-909)
#define portNameExistsErr	(-910)
#define noUserNameErr		(-911)
#define	userRejectErr		(-912)
#define noResponseErr		(-915)
#define portClosedErr		(-916)
#define sessClosedErr		(-917)
#define badPortNameErr		(-919)
#define noDefaultUserErr	(-922)
#define notLoggedInErr		(-923)
#define noUserRefErr		(-924)
#define networkErr			(-925)
#define noInformErr			(-926)
#define authFailErr			(-927)
#define noUserRecErr		(-928)
#define badServiceMethodErr	(-930)
#define badLocNameErr		(-931)
#define guestNotAllowedErr	(-932)
#define nbpDuplicate     	(-1027)

#if defined __cplusplus
}
#endif

#endif // __ERRORS__

//
// $Log: /bogart/mac/shared/WERRORS.H $
// 
// 14    3/14/95 11:55a Rgordon
//

